# MCF-Objects

Se trata de una librería para la gestión de objetos que añade tipos estáticos y verificaciones.

Admite los siguientes tipos básicos:
  - String
  - Number
  - Boolean
  - Array
  - Enum

  Mediante la definición de los objetos estáticos se pueden establecer límites a los valores, listas de valores permitidos...


## Entorno de desarrollo

La bibioteca se transpila usando `babel` y se compila con `webpack`.


## Arquitectura

En el archivo `index.js`, se exporta la clase definedObject.

El constructor de clase lee la definición pasada como argumento cuando crea una instancia de clase y efectúa las verificaciones necesarias antes de devolver dicha instancia.
Cuando se asignan valores a los campos del objeto también se realizar las verificaciones indicadas sobre estos.
